"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSchema = getSchema;
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
function getSchema(schemaFile) {
    let root = path_1.default.join(__dirname, "..").endsWith("dist")
        ? path_1.default.join(__dirname, "..", "..")
        : path_1.default.join(__dirname, "..");
    const fileString = fs_1.default.readFileSync(path_1.default.join(root, "schema", schemaFile), "utf-8");
    return schemaFile === "api.github.com.json"
        ? JSON.parse(fileString)
        : fileString;
}
//# sourceMappingURL=utils.js.map