import path from "path";
import fs from "fs";
export function getSchema(schemaFile) {
    let root = path.join(__dirname, "..").endsWith("dist")
        ? path.join(__dirname, "..", "..")
        : path.join(__dirname, "..");
    const fileString = fs.readFileSync(path.join(root, "schema", schemaFile), "utf-8");
    return schemaFile === "api.github.com.json"
        ? JSON.parse(fileString)
        : fileString;
}
//# sourceMappingURL=utils.js.map