import type { ExtendedSimulationStore } from "../store";
import type { AnyState } from "@simulacrum/foundation-simulator";
import type { User, Repository, Organization, Team } from "../__generated__/resolvers-types";
interface GraphQLData {
    User: User;
    Repository: Repository;
    Organization: Organization;
    Team: Team;
}
export declare function toGraphql<T extends keyof GraphQLData>(simulationStore: ExtendedSimulationStore, __typename: T, entity: AnyState): Pick<GraphQLData, T>[T];
export {};
//# sourceMappingURL=to-graphql.d.ts.map